document.querySelector('.btn-gestion-utilisateurs').addEventListener('click', function(event) {
    event.preventDefault();

    const contentContainer = document.getElementById('container_gestion_utilisateurs');

    // Vérifie si le contenu est déjà affiché
    if (container_gestion_utilisateurs.style.display === 'block') {
        // Masquer la section "Compte" si elle est déjà affichée
        container_gestion_utilisateurs.style.display = 'none';
        container_gestion_utilisateurs.innerHTML = ''; // On efface le contenu pour éviter la réutilisation
    } else {
        // Afficher le conteneur et charger le contenu via AJAX
        fetch('/user/list')
            .then(response => {
                if (!response.ok) {
                    throw new Error('Erreur de chargement de la section Compte');
                }
                return response.text();
            })
            .then(html => {
                // Insérer le HTML dans le conteneur et l'afficher
                container_gestion_utilisateurs.innerHTML = html;
                container_gestion_utilisateurs.style.display = 'block';
            })
            .catch(error => {
                console.error('Erreur:', error);
            });
    }
});

document.querySelector('.btn-gestion-utilisateurs').addEventListener('click', function(event) {
    event.preventDefault();

    const contentContainer = document.getElementById('container_gestion_utilisateurs1');

    // Vérifie si le contenu est déjà affiché
    if (container_gestion_utilisateurs1.style.display === 'block') {
        // Masquer la section "Compte" si elle est déjà affichée
        container_gestion_utilisateurs1.style.display = 'none';
        container_gestion_utilisateurs1.innerHTML = ''; // On efface le contenu pour éviter la réutilisation
    } else {
        // Afficher le conteneur et charger le contenu via AJAX
        fetch('/user/add')
            .then(response => {
                if (!response.ok) {
                    throw new Error('Erreur de chargement de la section Compte');
                }
                return response.text();
            })
            .then(html => {
                // Insérer le HTML dans le conteneur et l'afficher
                container_gestion_utilisateurs1.innerHTML = html;
                container_gestion_utilisateurs1.style.display = 'block';
            })
            .catch(error => {
                console.error('Erreur:', error);
            });
    }
});